%define shortname	bcop

Name:		compiz-bcop
Version:	0.8.18
Release:	%mkrel 1
Summary:	BCOP: Compiz Fusion plugin build utility
License:	GPLv2+
Group:		System/X11
URL:		https://github.com/compiz-reloaded/compiz-bcop
Source0:	https://github.com/compiz-reloaded/compiz-bcop/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	libxslt-devel
Requires:	xsltproc

%description
BCOP: Compiz Fusion plugin build utility

%files
%{_bindir}/%{shortname}
%dir %{_datadir}/%{shortname}
%{_datadir}/%{shortname}/%{shortname}.xslt
%{_datadir}/pkgconfig/%{shortname}.pc

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install


%changelog
* Wed Apr 22 2020 daviddavid <daviddavid> 0.8.18-1.mga8
+ Revision: 1570623
- new version: 0.8.18

* Fri Feb 14 2020 umeabot <umeabot> 0.8.16-2.mga8
+ Revision: 1520774
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 09 2018 wally <wally> 0.8.16-1.mga7
+ Revision: 1339351
- new version 0.8.16 (from compiz-reloaded project)

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113615
- update to version 0.8.8
 - cleanup spec file

* Mon Feb 28 2011 eandry <eandry> 0.8.4-4.mga1
+ Revision: 61811
- clean spec
+ colin <colin>
- imported package compiz-bcop


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-3mdv2011.0
+ Revision: 603844
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-2mdv2010.1
+ Revision: 522390
- rebuilt for 2010.1

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457725
- New version: 0.8.4

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2010.0
+ Revision: 413261
- rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355361
- New version 0.8.2

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338484
- 0.8 pre-release snapshot

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080713.1mdv2009.0
+ Revision: 284295
- Bump version in anticipation of full release

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234338
- New snapshot
- New version: 0.7.6

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192366
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181114
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080210.1mdv2008.1
+ Revision: 172290
- Update to git master for new Compiz Fusion

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100719
- New upstream release: 0.6.0

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62610
- Rename package to compiz-bcop
- Renamed to match upstream
- First official release: 0.5.2

* Thu Jun 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-0.20070627.1mdv2008.0
+ Revision: 45277
- Import bcop

